org.apache.xmpbox.type

## Annotation Type PropertyType

    @Retention(value=RUNTIME)
     @Target(value=FIELD)
    public @interface PropertyType

### Required Element Summary

Required Elements
`Types` `type` get valuetype defined in this description that must be used to build properties descriptions in schema descriptions

### Optional Element Summary

Optional Elements
`Cardinality` `card`

### Element Detail

#### type

    public abstract Types type

get valuetype defined in this description that must be used to build properties descriptions in schema descriptions

Returns:
  the property type

#### card

    public abstract Cardinality card

Default:
  org.apache.xmpbox.type.Cardinality.Simple